export declare function getLastItemInArray<T>(array: T[]): T;
/**
 * Make an array unique by removing duplicate entries.
 * @param ar - Array to make unique
 * @returns A unique array
 */
export declare function uniqueArray<T>(ar: T[]): T[];
/**
 * Is Some Of This Array In That Array?
 * Are any of the items in arrayA in arrayB?
 */
export declare function hasItemsInItems<T extends string | number | boolean>(arrayA: T[], arrayB: T[]): boolean;
/**
 * Used to ensure that the `id` prop in each object in an array is unique
 */
export declare function assertUniqueIdInArray<T, Key extends string & keyof T>({ items, key, errorMsgPrefix, }: {
    items: T[] | readonly T[];
    /** Can be `id` or `value` */
    key: Key;
    errorMsgPrefix?: string;
}): void;
export declare function isArrayOfStringsUnique(arr: string[]): boolean;
export declare function getNonUniqueStringsFromArray(arr: string[]): string[];
//# sourceMappingURL=arrays.d.ts.map